backup="$(mktemp -dp "${MUREX}/backup" "$(datestamp)-install-XXXXX")"

echo "Linking RC files..."
for rc in bash_profile bashrc bash_logout zshenv zprofile zshrc zlogin zlogout; do
  mv ~/.${rc} "${backup}"
  ln -sf "${MUREX}/hook" ~/.${rc}
done

ln -sf "${MUREX}/hook" ~/.config/autostart-scripts/de-startup
ln -sf "${MUREX}/hook" ~/.config/plasma-workspace/shutdown/de-shutdown


echo "Generating ZSH prompts..."
zsh-prompt-generator -s